Index: oem-config/oem-config-firstboot
===================================================================
--- oem-config.orig/oem-config-firstboot	2009-09-23 19:52:59.000000000 -0400
+++ oem-config/oem-config-firstboot	2009-09-23 19:52:59.000000000 -0400
@@ -31,6 +31,11 @@
 	echo REGISTER "$q" "$q"
 	echo RESET "$q"
 done | debconf-communicate oem-config >/dev/null
+# Process additional preseeding
+for file in /usr/share/oem-config/preseed.d/*
+do
+   cat $file | debconf-communicate >/dev/null
+done
 # Remove the oem-config-prepare menu item.
 rm -f /usr/share/applications/oem-config-prepare-gtk.desktop \
       /usr/share/applications/kde/oem-config-prepare-kde.desktop
